﻿$ErrorActionPreference = 'Stop'

# *** Automatically filled ***
$softwareName = 'Atom'
$version      = '1.57.0'
# *** Automatically filled ***

if (!$Env:ChocolateyForce -and $version -eq (Get-UninstallRegistryKey $softwareName).DisplayVersion) {
    Write-Host "Version $version is already installed."
    return
}

# *** Automatically filled ***
$packageArgs = @{
    packageName    = 'atom.install'
    softwareName   = $softwareName
    fileType       = 'exe'
    url            = 'https://github.com/atom/atom/releases/download/v1.57.0/AtomSetup.exe'
    url64bit       = 'https://github.com/atom/atom/releases/download/v1.57.0/AtomSetup-x64.exe'
    silentArgs     = '--silent'
    checksum       = 'ec9ebb8bc118d0e3038c6fa8a62f2ac5a3b62fb752efa85f143ad186afffce8a'
    checksumType   = 'sha256'
    checksum64     = 'c5314c5efd7c4de9e1a9dc0a4d6f64489559dde4efe1e7d28b94f20f13d63230'
    checksumType64 = 'sha256'
    validExitCodes = @(0)
}
# *** Automatically filled ***

Install-ChocolateyPackage @packageArgs
